import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'

import request from './utils/request.js'
Vue.prototype.$request = request;

import uView from "uview-ui";
Vue.use(uView);

import mySwiper from './components/my-swiper/my-swiper.vue';
Vue.component('my-swiper', mySwiper);
import useEmpty from './components/use-empty/use-empty.vue';
Vue.component('use-empty', useEmpty);
import useLoadmore from './components/use-loadmore/use-loadmore.vue';
Vue.component('use-loadmore', useLoadmore);
import topSearch from './components/top-search/top-search.vue';
Vue.component('top-search', topSearch);
import myGap from './components/my-gap/my-gap.vue';
Vue.component('my-gap', myGap);
import myGoods from './components/my-goods/my-goods.vue';
Vue.component('my-goods', myGoods);
import sendType from './components/send-type/send-type.vue';
Vue.component('send-type', sendType);
import useListTitle from './components/use-list-title/use-list-title.vue';
Vue.component('use-list-title', useListTitle);

Vue.config.productionTip = false
App.mpType = 'app'

const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif